SearchTermValidator (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared.util

## Class SearchTermValidator

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.util.SearchTermValidator

-     public class SearchTermValidator
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PRODUCT`
    `static String` | `termOccurrence`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchTermValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `static String` | `replaceOccurrenceTermWithProduct(String queryTerm)`
    `static String` | `validateQueryTerm(String queryTerms)`
    `static String` | `validateTerm(String searchTerm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT

          public static final String PRODUCT

      See Also:
        Constant Field Values

    - #### termOccurrence

          public static final String termOccurrence

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SearchTermValidator

          public SearchTermValidator()

  - ### Method Detail

    - #### validateQueryTerm

          public static String validateQueryTerm(String queryTerms)

      Parameters:
        `queryTerms` -
      Returns:
        the terms formatted correctly for SPQL

    - #### validateTerm

          public static String validateTerm(String searchTerm)

    - #### replaceOccurrenceTermWithProduct

          public static String replaceOccurrenceTermWithProduct(String queryTerm)

    - #### main

          public static void main(String[] args)

Copyright © 2013. All Rights Reserved.